Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78876 - RFE: support for NFSv3 in kernel
Summary: RFE: support for NFSv3 in kernel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server
Version: 7.2
Hardware: s390
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-02 17:27 UTC by Brock Organ
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-16 15:43:10 UTC


Attachments (Terms of Use)

Description Brock Organ 2002-12-02 17:27:33 UTC
* for 7.2-s390 product
* customer reported
* request for enhancement: kernel that supports NFSv3

from customer email:

"We are doing some new testing with hipersockets that requires the
performance of NFS version 3. This apparently does not work on the 2.4.9-37
kernel.  Is there a way to get NFS v3 going on this kernel version?"

additionally from the customer:

We are tying to mount MVS datasets and HFS files with NFS version3. The NFS
server is z/OS 1.2 and the client is RedHat 7.2 Kernel 2.4.9-37
running under z/VM. When the mount is invoked under Linux, we receive the
following error:


# mount -o rsize=8192,wsize=8192,nfsvers=3 192.168.0.10:/hfs/u/a056244/redhat72
/home/a056244/redhat72
NFSv3 not supported! 
mount: wrong fs type, bad option, bad superblock on
192.168.0.10:/hfs/u/a056244/redhat72,
or too many mounted file systems 

# dmesg
NFS: NFSv3 not supported.
nfs warning: mount version older than kernel
NFS: mount program didn't pass remote address!

If we use NFS version2, the mount is successful:

# mount -o rsize=8192,wsize=8192,nfsvers=2 192.168.0.10:/hfs/u/a056244/redhat72
/home/a056244/redhat72
# mount
/dev/dasda1 on / type ext3 (rw)
none on /proc type proc (rw)
/dev/dasda2 on /apps type ext3 (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/dasdb2 on /tmp type ext3 (rw)
192.168.0.10:/hfs/u/a056244/redhat72 on /home/a056244/redhat72 type nfs
(rw,rsize=8192,wsize=8192,nfs)

Comment 1 Florian La Roche 2003-05-16 15:43:10 UTC
If this is still an issue, please re-submit into featurezilla for PM
discussions. This should not be mainframe-specific, but a general
feature item.
Closing this bugzilla entry.

greetings,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.